Create Applicant: Rent Manager
https://api.propexo.com/v1/applicants/rentmanager/| Method |
|---|
| POST /Prospects |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The last name associated with the applicant
The first name associated with the applicant
The middle name associated with the applicant
The primary email address associated with the applicant
The date of birth associated with the applicant
The first address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
Notes associated with the applicant
The application date associated with the applicant. Specifying this ensures Rent Manager classifies this prospect as an applicant
Show 2 variants
custom_data objectdeprecated
Deprecated: Field is no longer applicable
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The last name associated with the applicant
The first name associated with the applicant
The middle name associated with the applicant
The primary email address associated with the applicant
The date of birth associated with the applicant
The first address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
Notes associated with the applicant
The application date associated with the applicant. Specifying this ensures Rent Manager classifies this prospect as an applicant
Show 2 variants
custom_data object | nullrequireddeprecated
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/applicants/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"last_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"notes": "string",
"application_date": "2024-07-29T15:51:28.071Z"
}
}